<!-- Displays all matches at a competition. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/index.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class="page-tlt">
        <h1>Matches</h1> 
        <div class="right-triangle-decoration page-tlt-triangle wss"></div>
    </div>
    
    <div class="nav-two-row">
        <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a> 
        <div class = "add-match"> <a href="{% url 'scouting:newmatchform' %}"> <i class="fas fa-plus"></i> Add Match</a> </div>
        <a href = "{% url 'scouting:teams' %}" class = "match-button">View All Teams</a>
    </div>
    
    <div class="body-content">
        {% if m %}
            <table id = "matchTable">
                <tr>
                    <th>
                        {% if comp %}
                            {{ comp.Name }} 2019
                        {% else %}
                            [Competition Name not found]
                        {% endif %}
                    </th>
                </tr>
                {% for m2 in m %}
                    <tr class="comp-row">
                        <td><a href = "{% url 'scouting:indexSingleMatch' comp.id m2.MatchNum %}"><h1>Match {{ m2.MatchNum }}</h1></a></th>
                    </tr>
                {% endfor %}
            </table>
        {% else %}
            <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
        {% endif %}
    </div>

{% endblock %}
